block.settings.dropdown_language:*:
  type: block_settings
  label: 'Dropdown language switcher block'
  mapping:
    labels:
      type: sequence
      label: 'Languages labels for display in dropdown block'
      sequence:
        type: label
        label: 'Dropdown language label'

dropdown_language.setting:
  type: config_object
  label: 'Dropdown language settings'
  mapping:
    wrapper:
      type: boolean
      label: 'Use Fieldset wrapping around Dropdown'
    display_language_id:
      type: integer
      label: 'Display Language Labelling'
    filter_untranslated:
      type: integer
      label: 'Remove untranslated nodes'
    always_show_block:
        type: integer
        label: 'Always shows block'
